<?php

require("constants.php");

//error_reporting( E_ALL );
//ini_set( 'display_errors', 'on' );

function do_query( $sql )
{
	return do_user_query( $sql );
}

function do_user_query( $sql ) 
{
	if( $db = mysqli_connect( DB_SERVER, DB_USER, DB_PASS, DB_NAME ) )
	{
		$result = mysqli_query( $db, $sql ) or die( "Database error:".mysql_error() );
		$data = array();
		if( gettype( $result ) == 'boolean' )
		{
			return $result;
		}
		while( $row = mysqli_fetch_array( $result ) )
		{
			$data[] = $row;
		}
		mysqli_close( $db );
		return $data;
	}
	else
	{
		die( "Cannot connect to database:".mysql_error() );
	}
}

function do_football_query( $sql ) 
{
	if( $db = mysqli_connect( NCAA_DB_SERVER, DB_USER, DB_PASS, NCAA_DB_NAME ) )
	{
		$result = mysqli_query( $db, $sql ) or die( "Database error:".mysql_error() );
		$data = array();
		if( gettype( $result ) == 'boolean' )
		{
			return $result;
		}
		while( $row = mysqli_fetch_array( $result ) )
		{
			$data[] = $row;
		}
		mysqli_close( $db );
		return $data;
	}
	else
	{
		die( "Cannot connect to database:".mysql_error() );
	}
}

function get_season_weeks()
{
	$sql = 'SELECT MAX(week) FROM Calendar WHERE seasonType="regular"';
	$result = do_football_query($sql);
	if( count($result) == 0 )
		return 1;
	return $result[0]['MAX(week)'];
}

function get_current_week()
{
	$sql = 'SELECT DISTINCT(week) from Games WHERE id IN (SELECT id FROM Scoreboard)';
	$result = do_football_query( $sql);
	if( count($result) == 0 )
		return 1;
	return $result[0]['week'];
}

function get_current_season()
{
	$sql = 'SELECT id FROM Scoreboard';
	$result = do_football_query( $sql );
	if( count($result) == 0 )
		return "";
	$sql = 'SELECT season_type from Games WHERE id=' . $result[0]['id'];
	$result = do_football_query( $sql );
	if( count($result) == 0)
		return "";
	return $result[0]['season_type'];
}
