<?php

//error_reporting(E_ALL);
//ini_set('display_errors', 'on');

require_once( "database_common.php" );

function is_user_an_admin( $username ) {
	$sql = "SELECT UserType FROM Users WHERE UserName='".$username."'";
	$UserType = do_user_query( $sql );
	if( $UserType[0][0] == 1 ) {
		return true;
	}
	else {
		return false;
	}
}

function get_all_user_info() 
{
	$sql = "SELECT * FROM Users";
	return do_user_query( $sql );
}

function get_user_info_by_id( $ID ) 
{
	$sql = "SELECT * FROM Users WHERE UserID='" . $ID . "'";
	return do_user_query( $sql );
}

function get_all_user_ids() 
{
	$sql = "SELECT UserID FROM Users ORDER BY FirstName";
	return do_user_query( $sql );
}

function get_all_usernames() 
{
	$sql = "SELECT UserName FROM Users";
	return do_user_query( $sql );
}

function get_all_email_addresses()
{
	$sql = "SELECT Email FROM Users";
	return do_user_query( $sql );
}

function get_all_email_addresses_for_mass_email()
{
	$sql = "SELECT DISTINCT Email FROM Users WHERE MassEmails=TRUE";
	return do_user_query( $sql );
}

function get_all_email_addresses_for_weekly_email()
{
	$sql = "SELECT Email FROM Users WHERE WeeklyEmails=TRUE";
	return do_user_query( $sql );
}

function get_user_username_by_id( $ID )
{
	$sql = "SELECT UserName FROM Users WHERE UserID=$ID";
	return do_user_query( $sql );
}

function get_user_id_from_username( $username )
{
	$sql = "SELECT UserID FROM Users WHERE UserName='" . $username . "'";
	return do_user_query( $sql );
}

function get_user_theme_by_username( $username )
{
	$sql = "SELECT Theme FROM Users WHERE UserName='" . $username . "'";
	return do_user_query( $sql );
}

function get_user_email_by_id( $ID )
{
	$sql = "SELECT Email FROM Users WHERE UserID=$ID";
	return do_user_query( $sql );
}

function get_user_email_by_username( $username )
{
	$sql = "SELECT Email FROM Users WHERE UserName='" . $username . "'";
	return do_user_query( $sql );
}

function get_user_first_name_by_id( $ID )
{
	$sql = "SELECT FirstName FROM Users WHERE UserID=$ID";
	return do_user_query( $sql );
}

function get_user_name_by_id( $ID )
{
	$sql = "SELECT FirstName,LastName FROM Users WHERE UserID=$ID";
	return do_user_query( $sql );
}

function get_user_first_name_by_username( $username )
{
	$sql = "SELECT FirstName FROM Users WHERE UserName='" . $username . "'";
	return do_user_query( $sql );
}

function get_user_full_name_by_username( $username )
{
	$sql = "SELECT FirstName,LastName FROM Users WHERE UserName='" . $username . "'";
	return do_user_query( $sql );
}

function get_user_theme_by_id( $ID )
{
	$sql = "SELECT Theme FROM Users WHERE UserID=$ID";
	return do_user_query( $sql );
}

function get_user_mass_emails_by_id( $ID )
{
	$sql = "SELECT MassEmails FROM Users WHERE UserID=$ID";
	return do_user_query( $sql );
}

function get_user_weekly_emails_by_id( $ID )
{
	$sql = "SELECT WeeklyEmails FROM Users WHERE UserID=$ID";
	return do_user_query( $sql );
}

function get_user_overall_record_by_id( $ID )
{
	$sql = "SELECT OverallWins,OverallLosses,OverallTies FROM Users WHERE UserID=$ID";
	return do_user_query( $sql );
}

function get_user_conference_record_by_id( $ID )
{
	$sql = "SELECT ConferenceWins,ConferenceLosses,ConferenceTies FROM Users WHERE UserID=$ID";
	return do_user_query( $sql );
}

function get_all_players_and_season_points()
{
	$sql = "SELECT UserID,SeasonWins FROM Users ORDER BY SeasonWins DESC, ConferenceLosses";
	return do_user_query( $sql );
}

function get_all_players_and_overall_points() 
{
	$sql = "SELECT UserID,RegularPoints FROM Users ORDER BY RegularPoints DESC, OverallLosses";
	return do_user_query( $sql );
}

function delete_user( $user ) 
{
	$sql = "DELETE FROM Users WHERE UserID='" . $user . "'";
	return do_user_query( $sql );
}

function update_user_conference( $user, $conference ) 
{
	$sql = "UPDATE Users SET ConferenceID='" . $conference . "' WHERE UserName='" . $user . "'";
	return do_user_query( $sql );
}

function update_user_username( $user, $username ) 
{
	$sql = "UPDATE Users SET UserName='" . $username . "' WHERE UserName='" . $user . "'";
	return do_user_query( $sql );
}

function update_user_email( $user, $Email ) 
{
	$sql = "UPDATE Users SET Email='" . $Email . "' WHERE UserName='" . $user . "'";
	return do_user_query( $sql );
}

function update_user_theme( $user, $Theme )
{
	$sql = "UPDATE Users SET Theme='" . $Theme . "' WHERE UserID='" . $user . "'";
	return do_user_query( $sql );
}

function update_user_mass_emails( $user, $mass_Emails )
{
	if( $mass_Emails )
		$sql = "UPDATE Users SET MassEmails=TRUE WHERE UserID=$user";
	else
		$sql = "UPDATE Users SET MassEmails=FALSE WHERE UserID=$user";
	return do_user_query( $sql );
}

function update_user_weekly_report( $user, $weekly_report )
{
	if( $weekly_report )
		$sql = "UPDATE Users SET WeeklyEmails=TRUE WHERE UserID=$user";
	else
		$sql = "UPDATE Users SET WeeklyEmails=FALSE WHERE UserID=$user";
	return do_user_query( $sql );
}

function get_all_conferences() 
{
	$sql = "SELECT name FROM Conferences";
	return do_user_query( $sql );
}

function add_new_conference( $conferenceName ) 
{
	$sql = "INSERT INTO Conferences ( Name ) VALUES ('" . $conferenceName . "')";
	return do_user_query( $sql );
}

function remove_conference( $conferenceName ) 
{
	$sql = "DELETE FROM Conferences WHERE Name='" . $conferenceName . "'";
	return do_user_query( $sql );
}

function get_conference_name_by_id( $ConferenceID ) 
{
	$sql = "SELECT Name FROM Conferences WHERE ConferenceID='" . $ConferenceID . "'";
	return do_user_query( $sql );
}

function get_conference_id_by_name( $conferenceName ) 
{
	$sql = "SELECT ConferenceID FROM Conferences WHERE Name='" . $conferenceName . "'";
	return do_user_query( $sql );
}

function get_all_players_in_conference( $conferenceName ) 
{
	$ID = get_conference_id_by_name( $conferenceName );
	$sql = "SELECT UserID FROM Users WHERE ConferenceID='" . $ID[0]['ConferenceID'] . "' ORDER BY ConferencePoints DESC";
	return do_user_query( $sql );
}

function get_user_conference_points_by_id( $userId )
{
	$sql = "SELECT ConferencePoints FROM Users WHERE UserID='" . $userId . "'";
	return do_user_query( $sql );
}

function does_username_exist( $username )
{
	$sql = "SELECT * FROM Users WHERE UserName='" . $username . "'";
	$result = do_user_query( $sql );
	if( array_key_exists( 'UserName', $result[0] ) )
		return True;
	else
		return False;
}

?>
